Subject: bug#30104: [email-masked] does not build reproducibly on core-updates

From: Gábor Boskovits <[email-masked]>
Date: Sun, 14 Jan 2018 10:35:35 +0100

Could you please attach a diffoscope output to this?

I've found this in the notes database, does not sound too promising:
https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ant.html.

2018-01-14 5:16 GMT+01:00 Chris Marusich <[email-masked]>:

> Hi,
>
> At commit 1b321229f4653c5daa873813e24910789c0b2918 (i.e., the current
> tip of the core-updates branch), [email-masked] does not build
> reproducibly.  This package is defined in gnu/packages/java.scm, but it
> is not exported (i.e., it is used privately within the module).  Note
> that according to 'guix refresh', currently 215 packages depend on this
> package.
>
> To verify that it doesn't build reproducibly, run this command:
>
>   guix build --rounds=2 -e '(@@ (gnu packages java) ant-bootstrap)'
>
> Here's the last bit of output I got:
>
> --8<---------------cut here---------------start------------->8---
> output ‘/gnu/store/cl2pxkxrasazj7hb7ykjh895vfj76jfy-ant-bootstrap-1.7.1’
> of ‘/gnu/store/9p8yw4cjcb2529gz9l6x4d559xb1qvql-ant-bootstrap-1.7.1.drv’
> differs from previous round
> @ build-failed /gnu/store/9p8yw4cjcb2529gz9l6x4d559xb1qvql-ant-bootstrap-1.7.1.drv
> - 1 output ‘/gnu/store/cl2pxkxrasazj7hb7ykjh895vfj76jfy-ant-bootstrap-1.7.1’
> of ‘/gnu/store/9p8yw4cjcb2529gz9l6x4d559xb1qvql-ant-bootstrap-1.7.1.drv’
> differs from previous round
> guix build: error: build failed: build of `/gnu/store/
> 9p8yw4cjcb2529gz9l6x4d559xb1qvql-ant-bootstrap-1.7.1.drv' failed
> --8<---------------cut here---------------end--------------->8---
>
> --
> Chris
>